#ifndef _FARBE_H
#define _FARBE_H

#include <windows.h>

class Farbe
{
private:
	int m_Red;
	int m_Green;
	int m_Blue;

public:
	COLORREF	getFarbe()		{return RGB(m_Red, m_Green, m_Blue);}

	int			getRed()		{return m_Red;}
	int			getGreen()		{return m_Green;}
	int			getBlue()		{return m_Blue;}

	void		setFarbe(int r, int g, int b)
	{
		if(r > 255)
			r = 255;
		if(g > 255)
			g = 255;
		if(b > 255)
			b = 255;
		
		m_Red	= r; 
		m_Green = g;
		m_Blue	= b;
	}
};

#endif